<?php

	/** Funkcja sprawdzajaca, czy jest blokada systemu lub logowania, 
	 * wtedy nie mozna sie logowac ! (poza adminem)
 	 * @author Maciek Osinski
	 * @return 0 - alles OK, 1 - nie mozna sie logowacm >1 nic nie mozna
	 */
	function loginAllowed () {
		global $sess;
		
		$q = new CQuery ("select TRYB from XP_BLOKADA");
		if ($q->num_rows()) {
			while ($arr = $q->fetch_array()) {
				if ($arr['TRYB'] == 1 && $res%2 == 0) $res++;
				if ($arr['TRYB'] == 2 && $res/2 == 0) $res+=2;
			}
		} else $res=0;
		$q->free;
		if ($sess->isLoged() && !$sess->isLoged('Admin')) return $res;
		else return 0;
	}

	/** Psuje, jesli system zablokowany
	 * @author Maciek Osinski
	 */
	function xpBlocked () {
		global $sess;

		$sess->destroy();
		printf("SYSTEM ZABLOKOWANY, WROC POZNIEJ\n");
	}
?>
